com.impinj.stp

## Class StpApi.DeviceEventReport.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventReport.Builder>
      - - com.impinj.stp.StpApi.DeviceEventReport.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.DeviceEventReportOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.DeviceEventReport

      public static final class StpApi.DeviceEventReport.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventReport.Builder>
      implements StpApi.DeviceEventReportOrBuilder

  Protobuf type `Impinj.STP.DeviceEventReport`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceEventReport` | `build()`
    `StpApi.DeviceEventReport` | `buildPartial()`
    `StpApi.DeviceEventReport.Builder` | `clear()`
    `StpApi.DeviceEventReport.Builder` | `clearDeviceExceptionEvent()` optional AntennaEvent antenna_event = 4;
    `StpApi.DeviceEventReport.Builder` | `clearGPIEvent()` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.DeviceEventReport.Builder` | `clearLowEncodeVolumeEvent()`
    `StpApi.DeviceEventReport.Builder` | `clearOperationEvent()`
    `StpApi.DeviceEventReport.Builder` | `clone()`
    `StpApi.DeviceEventReport` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DeviceExceptionEvent` | `getDeviceExceptionEvent()` optional AntennaEvent antenna_event = 4;
    `StpApi.DeviceExceptionEvent.Builder` | `getDeviceExceptionEventBuilder()` optional AntennaEvent antenna_event = 4;
    `StpApi.DeviceExceptionEventOrBuilder` | `getDeviceExceptionEventOrBuilder()` optional AntennaEvent antenna_event = 4;
    `StpApi.GPIEvent` | `getGPIEvent()` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.GPIEvent.Builder` | `getGPIEventBuilder()` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.GPIEventOrBuilder` | `getGPIEventOrBuilder()` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.LowEncodeVolumeEvent` | `getLowEncodeVolumeEvent()`
    `StpApi.LowEncodeVolumeEvent.Builder` | `getLowEncodeVolumeEventBuilder()`
    `StpApi.LowEncodeVolumeEventOrBuilder` | `getLowEncodeVolumeEventOrBuilder()`
    `StpApi.OperationEvent` | `getOperationEvent()`
    `StpApi.OperationEvent.Builder` | `getOperationEventBuilder()`
    `StpApi.OperationEventOrBuilder` | `getOperationEventOrBuilder()`
    `boolean` | `hasDeviceExceptionEvent()` optional AntennaEvent antenna_event = 4;
    `boolean` | `hasGPIEvent()` optional SerializationJobEvent serialization_job_event = 2;
    `boolean` | `hasLowEncodeVolumeEvent()`
    `boolean` | `hasOperationEvent()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.DeviceEventReport.Builder` | `mergeDeviceExceptionEvent(StpApi.DeviceExceptionEvent value)` optional AntennaEvent antenna_event = 4;
    `StpApi.DeviceEventReport.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.DeviceEventReport.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.DeviceEventReport.Builder` | `mergeFrom(StpApi.DeviceEventReport other)`
    `StpApi.DeviceEventReport.Builder` | `mergeGPIEvent(StpApi.GPIEvent value)` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.DeviceEventReport.Builder` | `mergeLowEncodeVolumeEvent(StpApi.LowEncodeVolumeEvent value)`
    `StpApi.DeviceEventReport.Builder` | `mergeOperationEvent(StpApi.OperationEvent value)`
    `StpApi.DeviceEventReport.Builder` | `setDeviceExceptionEvent(StpApi.DeviceExceptionEvent.Builder builderForValue)` optional AntennaEvent antenna_event = 4;
    `StpApi.DeviceEventReport.Builder` | `setDeviceExceptionEvent(StpApi.DeviceExceptionEvent value)` optional AntennaEvent antenna_event = 4;
    `StpApi.DeviceEventReport.Builder` | `setGPIEvent(StpApi.GPIEvent.Builder builderForValue)` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.DeviceEventReport.Builder` | `setGPIEvent(StpApi.GPIEvent value)` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.DeviceEventReport.Builder` | `setLowEncodeVolumeEvent(StpApi.LowEncodeVolumeEvent.Builder builderForValue)`
    `StpApi.DeviceEventReport.Builder` | `setLowEncodeVolumeEvent(StpApi.LowEncodeVolumeEvent value)`
    `StpApi.DeviceEventReport.Builder` | `setOperationEvent(StpApi.OperationEvent.Builder builderForValue)`
    `StpApi.DeviceEventReport.Builder` | `setOperationEvent(StpApi.OperationEvent value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventReport.Builder>`

    - #### clear

          public StpApi.DeviceEventReport.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventReport.Builder>`

    - #### clone

          public StpApi.DeviceEventReport.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventReport.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventReport.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.DeviceEventReport getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.DeviceEventReport build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.DeviceEventReport buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.DeviceEventReport.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceEventReport.Builder>`

    - #### mergeFrom

          public StpApi.DeviceEventReport.Builder mergeFrom(StpApi.DeviceEventReport other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventReport.Builder>`

    - #### mergeFrom

          public StpApi.DeviceEventReport.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceEventReport.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasOperationEvent

          public boolean hasOperationEvent()

      Specified by:
        `hasOperationEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### getOperationEvent

          public StpApi.OperationEvent getOperationEvent()

      Specified by:
        `getOperationEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### setOperationEvent

          public StpApi.DeviceEventReport.Builder setOperationEvent(StpApi.OperationEvent value)

    - #### setOperationEvent

          public StpApi.DeviceEventReport.Builder setOperationEvent(StpApi.OperationEvent.Builder builderForValue)

    - #### mergeOperationEvent

          public StpApi.DeviceEventReport.Builder mergeOperationEvent(StpApi.OperationEvent value)

    - #### clearOperationEvent

          public StpApi.DeviceEventReport.Builder clearOperationEvent()

    - #### getOperationEventBuilder

          public StpApi.OperationEvent.Builder getOperationEventBuilder()

    - #### getOperationEventOrBuilder

          public StpApi.OperationEventOrBuilder getOperationEventOrBuilder()

      Specified by:
        `getOperationEventOrBuilder` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### hasGPIEvent

          public boolean hasGPIEvent()

      optional SerializationJobEvent serialization_job_event = 2;
      Specified by:
        `hasGPIEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### getGPIEvent

          public StpApi.GPIEvent getGPIEvent()

      optional SerializationJobEvent serialization_job_event = 2;
      Specified by:
        `getGPIEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### setGPIEvent

          public StpApi.DeviceEventReport.Builder setGPIEvent(StpApi.GPIEvent value)

      optional SerializationJobEvent serialization_job_event = 2;

    - #### setGPIEvent

          public StpApi.DeviceEventReport.Builder setGPIEvent(StpApi.GPIEvent.Builder builderForValue)

      optional SerializationJobEvent serialization_job_event = 2;

    - #### mergeGPIEvent

          public StpApi.DeviceEventReport.Builder mergeGPIEvent(StpApi.GPIEvent value)

      optional SerializationJobEvent serialization_job_event = 2;

    - #### clearGPIEvent

          public StpApi.DeviceEventReport.Builder clearGPIEvent()

      optional SerializationJobEvent serialization_job_event = 2;

    - #### getGPIEventBuilder

          public StpApi.GPIEvent.Builder getGPIEventBuilder()

      optional SerializationJobEvent serialization_job_event = 2;

    - #### getGPIEventOrBuilder

          public StpApi.GPIEventOrBuilder getGPIEventOrBuilder()

      optional SerializationJobEvent serialization_job_event = 2;
      Specified by:
        `getGPIEventOrBuilder` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### hasDeviceExceptionEvent

          public boolean hasDeviceExceptionEvent()

      optional AntennaEvent antenna_event = 4;
      Specified by:
        `hasDeviceExceptionEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### getDeviceExceptionEvent

          public StpApi.DeviceExceptionEvent getDeviceExceptionEvent()

      optional AntennaEvent antenna_event = 4;
      Specified by:
        `getDeviceExceptionEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### setDeviceExceptionEvent

          public StpApi.DeviceEventReport.Builder setDeviceExceptionEvent(StpApi.DeviceExceptionEvent value)

      optional AntennaEvent antenna_event = 4;

    - #### setDeviceExceptionEvent

          public StpApi.DeviceEventReport.Builder setDeviceExceptionEvent(StpApi.DeviceExceptionEvent.Builder builderForValue)

      optional AntennaEvent antenna_event = 4;

    - #### mergeDeviceExceptionEvent

          public StpApi.DeviceEventReport.Builder mergeDeviceExceptionEvent(StpApi.DeviceExceptionEvent value)

      optional AntennaEvent antenna_event = 4;

    - #### clearDeviceExceptionEvent

          public StpApi.DeviceEventReport.Builder clearDeviceExceptionEvent()

      optional AntennaEvent antenna_event = 4;

    - #### getDeviceExceptionEventBuilder

          public StpApi.DeviceExceptionEvent.Builder getDeviceExceptionEventBuilder()

      optional AntennaEvent antenna_event = 4;

    - #### getDeviceExceptionEventOrBuilder

          public StpApi.DeviceExceptionEventOrBuilder getDeviceExceptionEventOrBuilder()

      optional AntennaEvent antenna_event = 4;
      Specified by:
        `getDeviceExceptionEventOrBuilder` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### hasLowEncodeVolumeEvent

          public boolean hasLowEncodeVolumeEvent()

      Specified by:
        `hasLowEncodeVolumeEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### getLowEncodeVolumeEvent

          public StpApi.LowEncodeVolumeEvent getLowEncodeVolumeEvent()

      Specified by:
        `getLowEncodeVolumeEvent` in interface `StpApi.DeviceEventReportOrBuilder`

    - #### setLowEncodeVolumeEvent

          public StpApi.DeviceEventReport.Builder setLowEncodeVolumeEvent(StpApi.LowEncodeVolumeEvent value)

    - #### setLowEncodeVolumeEvent

          public StpApi.DeviceEventReport.Builder setLowEncodeVolumeEvent(StpApi.LowEncodeVolumeEvent.Builder builderForValue)

    - #### mergeLowEncodeVolumeEvent

          public StpApi.DeviceEventReport.Builder mergeLowEncodeVolumeEvent(StpApi.LowEncodeVolumeEvent value)

    - #### clearLowEncodeVolumeEvent

          public StpApi.DeviceEventReport.Builder clearLowEncodeVolumeEvent()

    - #### getLowEncodeVolumeEventBuilder

          public StpApi.LowEncodeVolumeEvent.Builder getLowEncodeVolumeEventBuilder()

    - #### getLowEncodeVolumeEventOrBuilder

          public StpApi.LowEncodeVolumeEventOrBuilder getLowEncodeVolumeEventOrBuilder()

      Specified by:
        `getLowEncodeVolumeEventOrBuilder` in interface `StpApi.DeviceEventReportOrBuilder`